# Uses of Interface
org.eclipse.microprofile.openapi.models.PathItem

Packages that use PathItem
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.callbacks
An interface to represent callback URL.

## Uses of PathItem in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return PathItem
Modifier and Type
Method
Description
`static PathItem`
OASFactory.`createPathItem()`
This method creates a new `PathItem` instance.
`default PathItem`
OASFilter.`filterPathItem(PathItem pathItem)`
Allows filtering of a particular PathItem.
Methods in org.eclipse.microprofile.openapi with parameters of type PathItem
Modifier and Type
Method
Description
`default PathItem`
OASFilter.`filterPathItem(PathItem pathItem)`
Allows filtering of a particular PathItem.

## Uses of PathItem in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return PathItem
Modifier and Type
Method
Description
`PathItem`
PathItem.`addParameter(Parameter parameter)`
Adds the given parameter to this PathItem's list of parameters.
`PathItem`
PathItem.`addServer(Server server)`
Adds the given server to this PathItem's list of servers.
`default PathItem`
PathItem.`DELETE(Operation delete)`
Sets this PathItem's delete property to the given operation.
`default PathItem`
PathItem.`description(String description)`
Sets this PathItem's description property to the given string.
`default PathItem`
PathItem.`GET(Operation get)`
Sets this PathItem's get property to the given operation.
`default PathItem`
Paths.`getPathItem(String name)`
Returns a path item for a given name.
`default PathItem`
PathItem.`HEAD(Operation head)`
Sets this PathItem's head property to the given operation.
`default PathItem`
PathItem.`OPTIONS(Operation options)`
Sets this PathItem's options property to the given operation.
`default PathItem`
PathItem.`parameters(List<Parameter> parameters)`
Sets this PathItem's parameters property to the given list.
`default PathItem`
PathItem.`PATCH(Operation patch)`
Sets this PathItem's patch property to the given operation.
`default PathItem`
PathItem.`POST(Operation post)`
Sets this PathItem's post property to the given operation.
`default PathItem`
PathItem.`PUT(Operation put)`
Sets this PathItem's put property to the given operation.
`default PathItem`
PathItem.`servers(List<Server> servers)`
Sets this PathItem's servers property to the given list.
`default PathItem`
PathItem.`summary(String summary)`
Sets this PathItem's summary property to the given string.
`default PathItem`
PathItem.`TRACE(Operation trace)`
Sets this PathItem's trace property to the given operation.
Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type PathItem
Modifier and Type
Method
Description
`Map<String,PathItem>`
Paths.`getPathItems()`
Returns a copy map (potentially immutable) of the path items.
Methods in org.eclipse.microprofile.openapi.models with parameters of type PathItem
Modifier and Type
Method
Description
`Paths`
Paths.`addPathItem(String name, PathItem item)`
Adds the given path item to this Paths and return this instance of Paths
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type PathItem
Modifier and Type
Method
Description
`void`
Paths.`setPathItems(Map<String,PathItem> items)`
Set the path items map to this Paths

## Uses of PathItem in org.eclipse.microprofile.openapi.models.callbacks

Methods in org.eclipse.microprofile.openapi.models.callbacks that return PathItem
Modifier and Type
Method
Description
`default PathItem`
Callback.`getPathItem(String name)`
Returns a path item for a given name.
Methods in org.eclipse.microprofile.openapi.models.callbacks that return types with arguments of type PathItem
Modifier and Type
Method
Description
`Map<String,PathItem>`
Callback.`getPathItems()`
Returns a copy map (potentially immutable) of the path items.
Methods in org.eclipse.microprofile.openapi.models.callbacks with parameters of type PathItem
Modifier and Type
Method
Description
`Callback`
Callback.`addPathItem(String name, PathItem pathItem)`
Adds the given PathItem to this Callback's list of PathItems using the string as its key.
Method parameters in org.eclipse.microprofile.openapi.models.callbacks with type arguments of type PathItem
Modifier and Type
Method
Description
`void`
Callback.`setPathItems(Map<String,PathItem> items)`
Set the path items map to this Callback.